#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
from qt import *
from timer import Form


class Form_Impl(Form):

    def __init__(self,parent = None,name = None,modal = 0,fl = 0):
        Form.__init__(self,parent,name,modal,fl)
        
        self.progressBar1.setTotalSteps(10)
        self.progressBar1.setProgress(10)
        
        self.timer=QTimer(self)
        self.connect(self.timer, SIGNAL('timeout()'), self.timerTimeOutSlot)
        self.timer.start(1000)

    def timerTimeOutSlot(self):
        p=self.progressBar1.progress()
        if p>0:
            self.progressBar1.setProgress(p-1)
        else:
            if self.timer.isActive():
                self.timer.stop()

app = QApplication(sys.argv)
QObject.connect(app,SIGNAL("lastWindowClosed()"),app,SLOT("quit()"))
form = Form_Impl()
form.show()
app.exec_loop()
